library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;

entity comp_8b is
  port(a, b: in std_logic_vector(7 downto 0);
       wym, wyw, wyr: out std_logic);
end comp_8b;

architecture comp_8b_arch of comp_8b is
begin
  process(a, b)
  begin
    wyw <= '0';
    wym <= '0';
    wyr <= '0';
    if a > b then
      wyw <= '1';
    elsif a < b then
      wym <= '1';
    else
      wyr <= '1';
    end if;
  end process;
end comp_8b_arch;

