library ieee;
use ieee.std_logic_1164.all;

entity mux4x1_3b is
  port(we0, we1, we2, we3: in std_logic_vector(2 downto 0);
       adr: in std_logic_vector(1 downto 0);
       wy: out std_logic_vector(2 downto 0));
end mux4x1_3b;

architecture mux4x1_3b_arch of mux4x1_3b is
begin
  with adr select
    wy <= we0 when "00", we1 when "01", we2 when "10", we3 when others;
end mux4x1_3b_arch;

